RDF::vCard::Entity::WithXmlSupport(3pm)

NAME
RDF::vCard::Entity::WithXmlSupport - subclass of RDF::vCard::Entity

DESCRIPTION
Subclass of RDF::vCard::Entity with XML output support.

Requires XML::LibXML.

  Constructor

•   "new(%options)"

    As per RDF::vCard::Entity.

•   "promote($entity)"

    Clones an existing RDF::vCard::Entity, but adds XML support.

  Methods
As per RDF::vCard::Entity, but also:

•   "to_xml()"

    Formats the object according to the vCard XML Internet Draft.

•   "add_to_document($document)"

    Given an XML::LibXML::Document object, adds the vCard data to the document as a child of the root element.

SEE ALSO
RDF::vCard.

http://tools.ietf.org/id/draft-ietf-vcarddav-vcardxml-06.txt <http://tools.ietf.org/id/draft-ietf-vcarddav-vcardxml-06.txt>.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT
Copyright 2011 Toby Inkster

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.